summaryrefslogtreecommitdiff
path: root/ruby.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-03-30 16:42:10 +0200
committerAndreas Maunz <andreas@maunz.de>2011-03-30 16:42:10 +0200
commitfbb092d69d0b6f37a447846bef148eb233de8a36 (patch)
tree825557feac7dd52faab754408056174cdf45a4c9 /ruby.sh
parent98b129fa002bcb39261c94668322e3ac46ca5d78 (diff)
ruby.sh
Diffstat (limited to 'ruby.sh')
-rwxr-xr-xruby.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/ruby.sh b/ruby.sh
index 5e4731c..cbad10c 100755
--- a/ruby.sh
+++ b/ruby.sh
@@ -46,12 +46,12 @@ fi
if [ ! $RUBY_DONE ]; then
cd /tmp
URI="http://rubyenterpriseedition.googlecode.com/files/$RUBY_VER.tar.gz"
- if ! $WGET -O - "$URI" | tar zxv >>$LOG 2>&1 ; then
+ if ! $WGET -O - "$URI" 2>$LOG | tar zxv >>$LOG 2>&1 ; then
printf "%25s%15s\n" "'Download'" "FAIL"
exit 1
fi
printf "%25s%15s\n" "'Download'" "DONE"
- if ! sh /installer --dont-install-useful-gems --no-dev-docs --auto="$RUBY_DEST" >>$LOG 2>&1 ; then
+ if ! sh "/tmp/$RUBY_VER/installer" --dont-install-useful-gems --no-dev-docs --auto="$RUBY_DEST" >>$LOG 2>&1 ; then
printf "%25s%15s\n" "'Install'" "FAIL"
exit 1
fi